﻿@model ViewModels.Trade.AdsSearchViewModel
@{ 
    var lang = (string)ViewBag.Lang;
    var isSell = false;
    if(Request["issell"] != null)
    {
        bool.TryParse(Request["issell"], out isSell);
    }
}

@*--------------------- start search form ---------------------*@
<section class="search-form">
    <ul class="nav nav-tabs ul-tabs">
        <li class="active">
            <a href="#tab1" data-toggle="tab">@WebResources.StaticText.IWantToBuyCoin</a>
        </li>
        <li>
            <a href="#tab2" data-toggle="tab">@WebResources.StaticText.IWantToSellCoin</a>
        </li>
    </ul>
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane fade in active" id="tab1">
            <!-- buy coin -->
            @using (Html.BeginForm("search", "ads", FormMethod.Get))
            {
                <input type="hidden" name="issell" value="true" />
                <div class="control-wrap search-form-country">
                    @Html.DropDownList("country", new SelectList(Model.Countries, "Slug", "Name", Request["country"]), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-currency">
                    @Html.DropDownList("currency", new SelectList(Model.Currencies, "Slug", "Name", Request["currency"]), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-coin">
                    @Html.DropDownList("coin", new SelectList(Model.Coins, "Slug", "Name", Request["coin"]), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-amount">
                    @Html.TextBox("amount", Request["amount"], new { @class = "form-control", placeholder = WebResources.StaticText.Amount })
                </div>
                <div class="control-wrap search-form-paymentmethod">
                    @Html.DropDownList("paymentmethod", new SelectList(Model.PaymentMethods, "Slug", "Name", Request["paymentmethod"]), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-submit">
                    <input type="submit" value="Search" class="btn btn-success" />
                </div>
            }
        </div>
        <div role="tabpanel" class="tab-pane fade" id="tab2">
            <!-- sell coin -->
            @using (Html.BeginForm("search", "ads", FormMethod.Get))
            {
                <input type="hidden" name="issell" value="false" />
                <div class="control-wrap search-form-country">
                    @Html.DropDownList("country", new SelectList(Model.Countries, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-currency">
                    @Html.DropDownList("currency", new SelectList(Model.Currencies, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-coin">
                    @Html.DropDownList("coin", new SelectList(Model.Coins, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-amount">
                    @Html.TextBox("amount", "", new { @class = "form-control", placeholder = "Amount" })
                </div>
                <div class="control-wrap search-form-paymentmethod">
                    @Html.DropDownList("paymentmethod", new SelectList(Model.PaymentMethods, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-submit">
                    <input type="submit" value="Search" class="btn btn-success" />
                </div>
            }
        </div>
    </div>
</section>
@*------------------------ end search form ---------------------*@

@*-------------------------- start search result buy -----------------------*@
<section class="grid-wrap buys-grid-wrap">
    <h2>@ViewBag.Header</h2>
    <table class="table table-striped table-coin">
        <thead>
            <tr>
                <th>@Html.ShowAdsSearchTableHeader(isSell ? WebResources.Prop.Ads_Username_Buyer : WebResources.Prop.Ads_Username_Seller, "username", lang)</th>
                <th class="column-hide">@Html.ShowAdsSearchTableHeader(WebResources.Prop.Ads_UserRating, "userrating", lang)</th>
                <th class="column-hide">@Html.ShowAdsSearchTableHeader(WebResources.Prop.Ads_IsUserVerified, "isuserverified", lang)</th>
                <th>@Html.ShowAdsSearchTableHeader(isSell ? WebResources.StaticText.IBuy : WebResources.StaticText.ISell, "coinname", lang)</th>
                <th class="column-hide-xs">@Html.ShowAdsSearchTableHeader(WebResources.Prop.Ads_CurrencyName, "currencyname", lang)</th>
                <th>@Html.ShowAdsSearchTableHeader(WebResources.Prop.Ads_CurrencyUnitPriceOfCoin, "currencyunitamountofcoin", lang)</th>
                <th class="column-hide">@Html.ShowAdsSearchTableHeader(WebResources.Prop.Ads_PaymentMethodName, "paymentmethodname", lang)</th>
                <th class="column-hide-xs">@Html.ShowAdsSearchTableHeader(WebResources.Prop.Ads_CountryName, "countryname", lang)</th>
                <th class="column-hide">@WebResources.Prop.Ads_MinimumCurrencyPrice</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Adses.Data)
            {
                <tr>
                    <td><a href="/User/detail/@item.Username">@item.Username</a></td>
                    <td class="column-hide">@item.UserRating</td>
                    <td class="column-hide">
                        @if (item.IsUserVerified)
                        {
                            <i class="fa fa-check"></i>
                        }
                    </td>
                    <td>@item.CoinName</td>
                    <td class="column-hide-xs">@item.CurrencyName</td>
                    <td>@item.CurrencyUnitPriceOfCoin</td>
                    <td class="column-hide">@item.PaymentMethodName</td>
                    <td class="column-hide-xs">@item.CountryName</td>
                    <td class="column-hide">@item.MinimumCurrencyPrice - @item.MaximumCurrencyPrice</td>
                    <td>
                        @Html.ActionLink(isSell ? "Buy": "Sell", "detail", "ads", new { lang = ViewBag.Lang, id = item.AdsId }, new { @class = "btn btn-success" })
                    </td>
                </tr>
            }
        </tbody>
    </table>
    @Html.ShowEmptyLabel(Model.Adses.Data)
    @Html.ShowPagerDescription(Model.Adses)
    @Html.ShowAdsSearchPager((string)ViewBag.Lang, Model.Adses)
</section>
@*-------------------------- end search result buy -----------------------*@